##### 7.5.3.0. isCartan

Procedure from library `central.lib` (see central_lib).

Usage:
  isCartan(f); f poly

Purpose:
  check whether f is a Cartan element.

Return:
  integer, 1 if f is a Cartan element and 0 otherwise.

Note:
  f is a Cartan element of the algebra A
  if and only if for all g in A there exists C in K such that [f, g] = C * g
  if and only if for all variables v_i there exist C in K such that [f, v_i] = C * v_i.

Example:

    LIB "central.lib";
    ring R=0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;
    D[1,3]=2*x;
    D[2,3]=-2*y;
    def r = nc_algebra(1,D); setring r; // this is U(sl_2) with cartan - z
    isCartan(z); // yes!
    ==> 1
    poly p=4*x*y+z^2-2*z;
    isCartan(p); // central elements are Cartan elements!
    ==> 1
    poly f=4*x*y;
    isCartan(f); // no way!
    ==> 0
    isCartan( 10 + p + z ); // scalar + central + cartan
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.